Page MenuHomePhabricator

Allow mobile description editing in English
Closed, ResolvedPublic

Description

Based on a compromise with some members of the English Wikipedia community, there is a special local override capability which allows English Wikipedia to override the Wikidata description for an item by using a magic word inserted into the article's wikitext. Because this solution was not fully in place at the time of Android's initial development of this feature, the apps currently "blacklist" English Wikipedia and do not handle description editing in an special way. Now that the service exists to tell us when a local or central (Wikidata) description should be used, we can make this flow better. So...

As a mobile description editor, on an English Wikipedia article. When I press the article edit pencil, the first section edit pencil, or the placholder CTA when no description exists then:

  1. If a local description is in place, open the Wikitext editor and place the cursor at the magic word.
  2. If a central (Wikidata) description exists I should see the same editing flow used for other languages description editing
  3. If no description exists I should see the same editing flow used for other languages description editing. This new description should be saved to Wikidata.

Event Timeline

LGoto created this task.Oct 11 2018, 6:46 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptOct 11 2018, 6:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor added a comment.EditedOct 12 2018, 5:11 PM

Stretch goal for 6.1. If its too complex or risky, lets retag into 6.1.1

JMinor triaged this task as Normal priority.Oct 12 2018, 5:11 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)
JMinor added a subscriber: NHarateh_WMF.
JMinor removed JMinor as the assignee of this task.Oct 12 2018, 5:13 PM
JMinor added a subscriber: JMinor.
Dbrant added a subscriber: Dbrant.Oct 15 2018, 3:25 PM

Caution: this might be more complex than it seems, since the description override can come from a transcluded template. For example, the article on San Antonio has an overridden description, but the description is actually auto-generated in a very convoluted way by the "Infobox settlement" template.

@JoeWalsh see Dmitry comment above. That explains the page you saw which had "local" as its description despite lacking the magic word template directly in its wikitext.

In that case, the service still seems to know its local, so it may be impossible to (in case 1) "open the Wikitext editor and place the cursor at the magic word." In those cases I still suggest we just open the wikitext editor, so knowledgeable editors can still perform the edits, even if we do not "assist" in any way.

cmadeo added a project: Product-QA.
cmadeo added a subscriber: cmadeo.

Working well for me! Thanks so much @NHarateh_WMF! Now just to find more articles with out title descriptions!

ABorbaWMF added a subscriber: ABorbaWMF.

I believe I have all the cases covered here:

For scenario 1 I used the 'San Antonio' article referenced by @Dbrant. I am seeing the wikitext editor, but it is difficult to tell where the cursor is placed.
For scenario 2 I used 'Aberfoyle railway station'. I am seeing the normal flow here.
For scenario 3 I used 'Eisenbahnunfall von Getå'. I am seeing the normal flow here as well.

I also tried a handful of articles in other languages as well.

JMinor changed the task status from Open to Stalled.Oct 29 2018, 6:02 PM

Moving to 6.1.1 per leadership request. See subtask for blocker.

JoeWalsh claimed this task.Jan 8 2019, 12:25 PM
JoeWalsh reassigned this task from JoeWalsh to NHarateh_WMF.
JoeWalsh claimed this task.

Looking good across a few devices and over the last few builds and 6.2.0 (1563)

I used the same scenarios. In the case of Scenario 2, I am seeing the cursor in the right place.

For scenario 1 I used the 'San Antonio' article referenced by @Dbrant. I am seeing the wikitext editor, but it is difficult to tell where the cursor is placed.
For scenario 2 I used 'Aberfoyle railway station'. I am seeing the normal flow here.
For scenario 3 I used 'Eisenbahnunfall von Getå'. I am seeing the normal flow here as well.

JMinor closed this task as Resolved.Jan 24 2019, 12:18 AM